From a652a6886031ff805fcabd852925c8a11b25dc1c Mon Sep 17 00:00:00 2001
From: James Moger <james.moger@gitblit.com>
Date: Thu, 06 Oct 2011 10:08:35 -0400
Subject: [PATCH] Merge pull request #1 from mmounirou/master

---
 distrib/gitblit            |   33 +++++++++++++++++++++++++++++++++
 distrib/install-service.sh |    3 +++
 2 files changed, 36 insertions(+), 0 deletions(-)

diff --git a/distrib/gitblit b/distrib/gitblit
new file mode 100644
index 0000000..9ae4d03
--- /dev/null
+++ b/distrib/gitblit
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+
+GITBLIT_PATH=/opt/gitblit/
+GITBLIT_HTTP_PORT=0
+GITBLIT_HTTPS_PORT=8443
+JAVA="java -server -Xmx1024M -jar"
+
+. /lib/lsb/init-functions
+
+case "$1" in
+  start)
+        log_action_begin_msg "Starting gitblit server"
+        $JAVA $GITBLIT_PATH/gitblit.jar --httpsPort $GITBLIT_HTTPS_PORT --httpPort $GITBLIT_HTTP_PORT &
+        log_action_end_msg $?
+        ;;
+  stop)
+        log_action_begin_msg "Stopping gitblit server"
+        $JAVA $GITBLIT_PATH/gitblit.jar --stop &
+        log_action_end_msg $?
+        ;;
+  force-reload|restart)
+        $0 stop
+        $0 start
+        ;;
+  *)
+        echo "Usage: /etc/init.d/gitblit {start|stop|restart|force-reload}"
+        exit 1
+        ;;
+esac
+
+exit 0
diff --git a/distrib/install-service.sh b/distrib/install-service.sh
new file mode 100644
index 0000000..75d7fcc
--- /dev/null
+++ b/distrib/install-service.sh
@@ -0,0 +1,3 @@
+cp gitblit /etc/init.d/
+chmod +x /etc/init.d/gitblit
+sudo update-rc.d gitblit defaults
\ No newline at end of file

--
Gitblit v1.9.1